Apple Pay Certificates
Retire a certificate
Retire an Apple Pay certificate that is no longer in use, for example after rotating to a newer one.
POST
/
api
/
wallet
/
apple-pay
/
certificates
/
{id}
/
retire
Retire a certificate
curl --request POST \
--url https://{cluster_id}.on-hellgate.cloud/api/wallet/apple-pay/certificates/{id}/retire \
--header 'x-api-key: <api-key>'import requests
url = "https://{cluster_id}.on-hellgate.cloud/api/wallet/apple-pay/certificates/{id}/retire"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://{cluster_id}.on-hellgate.cloud/api/wallet/apple-pay/certificates/{id}/retire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "active",
"registration_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"activated_at": "2023-11-07T05:31:56Z",
"retired_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z"
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}{
"code": 409,
"message": "Conflict",
"classifier": "CONFLICT"
}Authorizations
APIKeyAdminToken
Path Parameters
The ID of the certificate to retire.
Response
Success response
Available options:
pending, active, retired, disabled Example:
"active"
Previous
Delete a certificateDelete an Apple Pay certificate. Only a terminal (`retired` or `disabled`) certificate can be deleted; deleting an `active` or `pending` certificate returns `409` with the classifier `CERTIFICATE_NOT_TERMINAL`.
Next
⌘I
Retire a certificate
